Issue 97471

Summary: Group two drawings, double-click one drawing meanwhile entering characters crashes writer
Product: Writer Reporter: amy2008 <amy2008>
Component: codeAssignee: michael.ruess
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P2 CC: issues, kpalagin, npolyudova, ooo.redflag, peter.junge, ta_e_ret, vladimir-hitekschool
Version: DEV300m37Keywords: crash
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 84292    
Attachments:
Description Flags
Useful at step3
none
path file none

Description amy2008 2008-12-22 03:23:47 UTC
Can reproduce it with DEV300m37 on WinXP and Fedora

How to reproduce it 
1 Create a new Writer document
2 View - Toolbars - Drawing, choose two kinds of drawings from Drawing toolbar
  e.g. Rectangle and Ellipse, insert them into the file and select them, 
  double_click - Group - Group
3 Double_click to edit Rectangle, then move your mouse over Ellipse (Now cusor 
  should shine on Rectangle), the following is important, doble_click Ellipse 
  and at the same time enter some characters, please do this action with a very 
  slim time slot

Result
OOo crashes

Expectation
Can edit drawings successfully

If you don't exactly know how to reproduce it, feel free to talk with me, 
you're welcome anytime

Regards
Li Meiying
Comment 1 amy2008 2008-12-22 03:39:56 UTC
Created attachment 58958 [details]
Useful at step3
Comment 2 michael.ruess 2008-12-22 15:48:01 UTC
MRU->OS: while entering text in one of two grouped drawing objects doubleclick
the other one in the group -> crash. The report ID is rdy2wuc. 
Comment 3 kpalagin 2009-03-14 14:56:25 UTC
Are we on track for 3.2 with this issue?
Comment 4 Oliver Specht 2009-03-16 08:42:57 UTC
Created attachment 60943 [details]
path file
Comment 5 Oliver Specht 2009-03-19 13:29:25 UTC
Reassigned for verification
Comment 6 michael.ruess 2009-03-24 16:40:50 UTC
Setting to fixed.
Comment 7 michael.ruess 2009-03-24 16:42:33 UTC
Verified fix in CWS os127.
Comment 8 vladimir_hitekschool 2009-04-14 05:54:14 UTC
Issue 97471 has been fixed in master version OOo-dev 3.1 .0 (OOO310m9 Build:9396) 
for Windows XP and can be closed.	
Comment 9 amy2008 2009-04-14 06:46:13 UTC
CWS os127 hasn't been integrated into OOo310m9, pls wait for the right build.

Li Meiying
Comment 10 nadejda 2009-05-01 09:18:03 UTC
Verified in OOo-dev 3.2.0 DEV300m44 (PC, Windows XP).
NO crash.
Comment 11 kpalagin 2009-05-02 04:54:11 UTC
Closing as per Nadejda.

Nadejda,
thanks!
Comment 12 nadejda 2009-05-02 08:46:45 UTC
:)